%define anolis_release 1

%global with_mingw 0

%if 0%{?fedora}
%global with_mingw 1
%endif

Name:           gcab
Version:        1.6
Release:        %{anolis_release}%{?dist}
Summary:        Cabinet file library and tool

License:        LGPLv2+
#VCS:           git:git://git.gnome.org/gcab
URL:            http://ftp.gnome.org/pub/GNOME/sources/gcab
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gcab/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  git-core
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  vala
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  zlib-devel
BuildRequires:  meson
BuildRequires:  git

Requires:       libgcab1 = %{version}-%{release}

%if %{with_mingw}
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-glib2
BuildRequires: mingw32-glib2
BuildRequires: mingw64-zlib
BuildRequires: mingw32-zlib
%endif

%description
gcab is a tool to manipulate Cabinet archive.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n libgcab1
Summary:        Library to create Cabinet archives

%description -n libgcab1
libgcab is a library to manipulate Cabinet archive using GIO/GObject.

%package -n libgcab1-devel
Summary:        Development files to create Cabinet archives
Requires:       libgcab1 = %{version}-%{release}
Requires:       glib2-devel
Requires:       pkgconfig

%description -n libgcab1-devel
libgcab is a library to manipulate Cabinet archive.

Libraries, includes, etc. to compile with the gcab library.

%if %{with_mingw}
%package -n mingw32-libgcab1
Summary: MinGW library to create Cabinet archive.
BuildArch: noarch

%description -n mingw32-libgcab1
libgcab is a library to manipulate Cabinet archive.

%package -n mingw64-libgcab1
Summary: MinGW library to create Cabinet archive.
BuildArch: noarch

%description -n mingw64-libgcab1
libgcab is a library to manipulate Cabinet archive.

%{?mingw_debug_package}
%endif

%prep
%autosetup -S git_am

%build
%meson
%meson_build

%if %{with_mingw}
%mingw_meson -Dintrospection=false -Ddocs=false
%mingw_ninja
%endif

%check
%meson_test

%install
%meson_install

%find_lang %{name}

%ldconfig_scriptlets -n libgcab1

%if %{with_mingw}
%mingw_ninja_install
%mingw_debug_install_post
%mingw_find_lang %{name}
%endif

%generate_compatibility_deps

%files
%{_bindir}/gcab
%{_mandir}/man1/gcab.1*
%{abidir}/gcab-option.list

%files -n libgcab1 -f %{name}.lang
%license COPYING
%{_libdir}/girepository-1.0/GCab-1.0.typelib
%{_libdir}/libgcab-1.0.so.*
%dir %{abidir}
%{abidir}/libgcab-1.0.dump

%files -n libgcab1-devel
%{_datadir}/gir-1.0/GCab-1.0.gir
%{_datadir}/gtk-doc/html/gcab/*
%{_datadir}/vala/vapi/libgcab-1.0.vapi
%{_datadir}/vala/vapi/libgcab-1.0.deps
%{_includedir}/libgcab-1.0/*
%{_libdir}/libgcab-1.0.so
%{_libdir}/pkgconfig/libgcab-1.0.pc

%if %{with_mingw}
%files -n mingw32-libgcab1 -f mingw32-%{name}.lang
%license COPYING
%{mingw32_bindir}/gcab.exe
%{mingw32_bindir}/libgcab-1.0-0.dll
%{mingw32_libdir}/libgcab-1.0.dll.a
%{mingw32_includedir}/libgcab-1.0/
%{mingw32_libdir}/pkgconfig/libgcab-1.0.pc
%{mingw32_mandir}/man1/gcab.1

%files -n mingw64-libgcab1 -f mingw64-%{name}.lang
%license COPYING
%{mingw64_bindir}/gcab.exe
%{mingw64_bindir}/libgcab-1.0-0.dll
%{mingw64_libdir}/libgcab-1.0.dll.a
%{mingw64_includedir}/libgcab-1.0/
%{mingw64_libdir}/pkgconfig/libgcab-1.0.pc
%{mingw64_mandir}/man1/gcab.1
%endif

%files doc
%doc NEWS README.md RELEASE

%changelog
* Tue Feb 18 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 1.6-1
- Sync up from CentOS Stream gcab-1.6-7 (tdawson@redhat.com)

* Wed Mar  1 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1.5-2
- Optimize spec

* Wed Sep 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5-1
- update to 1.5

* Fri Mar 18 2022 forrest_ly <flin@linux.alibaba.com> - 1.4-1
- Init for Anolis OS 23
